package fr.velossity.sample.adaptee;

/**
 * It is the low API for a device, tied for example to
 * a given protocol or a field bus.
 * @author C. Saint-Marcel
 *
 */
public interface AdapteeDevice {


	/**
	 * Mandatory metadata for the device protocol.
	 */
	String METADATA_PROTOCOL = "protocol";

	/**
	 * Mandatory metadata for the device model.
	 */
	String METADATA_MODEL = "model";

	/**
	 * Optional metadata for the device location.
	 */
	String METADATA_LOCATION = "location";

	/**
	 * @return a unique identifier
	 */
	String getUUID();
	
	/**
	 * 
	 * @return the corresponding metadata, null if the key/value is not filled
	 */
	String getMetadata(String key);

}
